%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
% Story Drift and Displacement Plotting Routine
%
% by Erol Kalkan
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

%~~~~~~~~~~~~ DRIFT ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
h=788.5;

load Story_1_Drift.out;
load Story_2_Drift.out;
load Story_3_Drift.out;
load Story_4_Drift.out;
load Story_5_Drift.out;
load Story_6_Drift.out;
load Story_7_Drift.out;

d1=Story_1_Drift;
d2=Story_2_Drift;
d3=Story_3_Drift;
d4=Story_4_Drift;
d5=Story_5_Drift;
d6=Story_6_Drift;
d7=Story_7_Drift;

d1max=max(abs(d1));
d2max=max(abs(d2));
d3max=max(abs(d3));
d4max=max(abs(d4));
d5max=max(abs(d5));
d6max=max(abs(d6));
d7max=max(abs(d7));


dmax=[ 0 d1max     d2max    d3max    d4max    d5max    d6max   d7max ]'
sl=[0 1 2 3 4 5 6 7 ]'
subplot(1,2,1)
plot(dmax,sl,'r-s'); 
ylabel('Story Level');
xlabel('Inter Story Drift (%)');
zoom on;

%~~~~~~~~~~~~ DISPLACEMENT ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
load Floor_1_Displ.out;
load Floor_2_Displ.out;
load Floor_3_Displ.out;
load Floor_4_Displ.out;
load Floor_5_Displ.out;
load Floor_6_Displ.out;
load Floor_7_Displ.out;

dd1=Floor_1_Displ;
dd2=Floor_2_Displ;
dd3=Floor_3_Displ;
dd4=Floor_4_Displ;
dd5=Floor_5_Displ;
dd6=Floor_6_Displ;
dd7=Floor_7_Displ;

dd1max=max(abs(dd1));
dd2max=max(abs(dd2));
dd3max=max(abs(dd3));
dd4max=max(abs(dd4));
dd5max=max(abs(dd5));
dd6max=max(abs(dd6));
dd7max=max(abs(dd7));

ddmax=[ 0 dd1max     dd2max    dd3max    dd4max    dd5max    dd6max   dd7max]'/ h;

subplot(1,2,2)
plot(ddmax,sl,'-s'); 
ylabel('Story Level');
xlabel('Roof Drift Ratio');
zoom on;
hold;

% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
%       DRIFT AND DISPLACEMENT INTO FILE
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 

fid = fopen ('Drift.out','w'); % 
fprintf (fid,'%6.4f\n',dmax);
fclose(fid)

fid = fopen ('Displacement.out','w'); % 
fprintf (fid,'%6.4f\n',ddmax);
fclose(fid)



