#################################################################################################
#
# CREATE RECORDERS
#
# Writen by:  Erol Kalkan
# Last modified:  Sept 2003
#
# Objective: 
#
################################################################################################  
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Nodal Acceleration at each floor
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#recorder Node acceleration.out accel -time -node 14 23 32 41 50 59 68 -dof 1
recorder Node acceleration.out accel -time -node 10 19 28 37 46 55 64 -dof 1

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Single Column element Output
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file Col_15_Force.out -ele 15 globalForce 
recorder Element -file deformation15.out -time -ele 15 section 1 deformation; # TOP 4 
recorder Element -file plasticdef15.out -time -ele 15 plasticDeformation

recorder Element -file Col_31_Force.out -ele 31 globalForce 
recorder Element -file deformation31.out -time -ele 31 section 1 deformation; # TOP 4 
recorder Element -file plasticdef31.out -time -ele 31 plasticDeformation

recorder Element -file Col_33_Force.out -ele 33 globalForce 
recorder Element -file deformation33.out -time -ele 33 section 4 deformation; # TOP 4 
recorder Element -file plasticdef33.out -time -ele 33 plasticDeformation

recorder Element -file Col_34_Force.out -ele 34 globalForce 
recorder Element -file deformation34.out -time -ele 34 section 4 deformation; # TOP 4 
recorder Element -file plasticdef34.out -time -ele 34 plasticDeformation

recorder Element -file Col_51_Force.out -ele 51 globalForce 
recorder Element -file deformation51.out -time -ele 51 section 4 deformation; # TOP 4 
recorder Element -file plasticdef51.out -time -ele 51 plasticDeformation

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Single Beam Element Output
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file Beam_101_Forces.out -ele 101 globalForce 
recorder Element -file deformation101.out -time -ele 101 section 1 deformation;  #LEFT
recorder Element -file plasticdef101.out -time -ele 101 plasticDeformation 

recorder Element -file Beam_104_Forces.out -ele 104 globalForce 
recorder Element -file deformation104.out -time -ele 104 section 4 deformation;  #RIGHT
recorder Element -file plasticdef104.out -time -ele 104 plasticDeformation 

recorder Element -file Beam_302_Forces.out -ele 302 globalForce 
recorder Element -file deformation302.out -time -ele 302 section 4 deformation;  #RIGHT
recorder Element -file plasticdef302.out -time -ele 302 plasticDeformation 

recorder Element -file Beam_302L_Forces.out -ele 302 globalForce 
recorder Element -file deformation302L.out -time -ele 302 section 1 deformation;  #RIGHT
recorder Element -file plasticdef302L.out -time -ele 302 plasticDeformation 

recorder Element -file Beam_301_Forces.out -ele 301 globalForce 
recorder Element -file deformation301.out -time -ele 301 section 1 deformation;  #RIGHT
recorder Element -file plasticdef301.out -time -ele 301 plasticDeformation 

recorder Element -file Beam_502_Forces.out -ele 502 globalForce 
recorder Element -file deformation502.out -time -ele 502 section 4 deformation;  #RIGHT
recorder Element -file plasticdef502.out -time -ele 502 plasticDeformation 


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Displacement dof 1 at each floor center joints
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Node -file Floor_1_Displ.out -node 14 -dof 1 disp
recorder Node -file Floor_2_Displ.out -node 23 -dof 1 disp
recorder Node -file Floor_3_Displ.out -node 32 -dof 1 disp
recorder Node -file Floor_4_Displ.out -node 41 -dof 1 disp
recorder Node -file Floor_5_Displ.out -node 50 -dof 1 disp
recorder Node -file Floor_6_Displ.out -node 59 -dof 1 disp
recorder Node -file Floor_7_Displ.out -node 68 -dof 1 disp

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Inter Story Drift at each floor
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Drift Story_1_Drift.out 1 10 1 2
recorder Drift Story_2_Drift.out 10 19 1 2
recorder Drift Story_3_Drift.out 19 28 1 2
recorder Drift Story_4_Drift.out 28 37 1 2
recorder Drift Story_5_Drift.out 37 46 1 2
recorder Drift Story_6_Drift.out 46 55 1 2
recorder Drift Story_7_Drift.out 55 64 1 2

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Forces in floor column elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file Fl_1_Cols_Forces.out -ele 11 12 13 14 15 16 17 18 19 globalForce 
recorder Element -file Fl_2_Cols_Forces.out -ele 21 22 23 24 25 26 27 28 29 globalForce 
recorder Element -file Fl_3_Cols_Forces.out -ele 31 32 33 34 35 36 37 38 39 globalForce 
recorder Element -file Fl_4_Cols_Forces.out -ele 41 42 43 44 45 46 47 48 49 globalForce 
recorder Element -file Fl_5_Cols_Forces.out -ele 51 52 53 54 55 56 57 58 59 globalForce 
recorder Element -file Fl_6_Cols_Forces.out -ele 61 62 63 64 65 66 67 68 69 globalForce 
recorder Element -file Fl_7_Cols_Forces.out -ele 71 72 73 74 75 76 77 78 79 globalForce 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Plastic Deformation at column elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file pl_def_all_cols_1.out -ele 11 12 13 14 15 16 17 18 19 plasticDeformation
recorder Element -file pl_def_all_cols_2.out -ele 21 22 23 24 25 26 27 28 29 plasticDeformation
recorder Element -file pl_def_all_cols_3.out -ele 31 32 33 34 35 36 37 38 39 plasticDeformation
recorder Element -file pl_def_all_cols_4.out -ele 41 42 43 44 45 46 47 48 49 plasticDeformation
recorder Element -file pl_def_all_cols_5.out -ele 51 52 53 54 55 56 57 58 59 plasticDeformation
recorder Element -file pl_def_all_cols_6.out -ele 61 62 63 64 65 66 67 68 69 plasticDeformation
recorder Element -file pl_def_all_cols_7.out -ele 71 72 73 74 75 76 77 78 79 plasticDeformation

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Plastic Deformation at Beam elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file pl_def_all_beams_1.out -ele 101 102 103 104 105 106 107 108 plasticDeformation
recorder Element -file pl_def_all_beams_2.out -ele 201 202 203 204 205 206 207 208 plasticDeformation
recorder Element -file pl_def_all_beams_3.out -ele 301 302 303 304 305 306 307 308 plasticDeformation
recorder Element -file pl_def_all_beams_4.out -ele 401 402 403 404 405 406 407 408 plasticDeformation
recorder Element -file pl_def_all_beams_5.out -ele 501 502 503 504 505 506 507 508 plasticDeformation
recorder Element -file pl_def_all_beams_6.out -ele 601 602 603 604 605 606 607 608 plasticDeformation
recorder Element -file pl_def_all_beams_7.out -ele 701 702 703 704 705 706 707 708 plasticDeformation

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Forces in Beam elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file Force_all_beams_1.out -ele 101 102 103 104 105 106 107 108 globalForce
recorder Element -file Force_all_beams_2.out -ele 201 202 203 204 205 206 207 208 globalForce
recorder Element -file Force_all_beams_3.out -ele 301 302 303 304 305 306 307 308 globalForce
recorder Element -file Force_all_beams_4.out -ele 401 402 403 404 405 406 407 408 globalForce
recorder Element -file Force_all_beams_5.out -ele 501 502 503 504 505 506 507 508 globalForce
recorder Element -file Force_all_beams_6.out -ele 601 602 603 604 605 606 607 608 globalForce
recorder Element -file Force_all_beams_7.out -ele 701 702 703 704 705 706 707 708 globalForce
################################################################################################  

